import numpy as np
from mayavi import mlab

t = np.linspace(-5, 5, 100)
x = 3 * np.cos(t)
y = 3 * np.sin(t)
z = t / np.pi

s = mlab.plot3d(x, y, z, z, tube_radius=0.1)

mlab.colorbar(s, title="Bar v2", orientation="vertical",
              nb_labels=5, label_fmt="%.1f", nb_colors=10)

mlab.show()
